HostConfig.DeployedApplication (Apache Tomcat 10.1.48 API Documentation)
Description: declaration: package: org.apache.catalina.startup, class: HostConfig, class: DeployedApplication

# Class HostConfig.DeployedApplication

java.lang.Object
org.apache.catalina.startup.HostConfig.DeployedApplication

Enclosing class:
  `HostConfig`

protected static class HostConfig.DeployedApplication extends Object
This class represents the state of a deployed application, as well as the monitored resources.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final boolean`
  `hasDescriptor`
  Does this application have a context.xml descriptor file on the host's configBase?
  `boolean`
  `loggedDirWarning`
  In some circumstances, such as when unpackWARs is true, a directory may be added to the appBase that is ignored.
  `final String`
  `name`
  Application context path.
  `final LinkedHashMap<String,Long>`
  `redeployResources`
  Any modification of the specified (static) resources will cause a redeployment of the application.
  `final HashMap<String,Long>`
  `reloadResources`
  Any modification of the specified (static) resources will cause a reload of the application.
  `long`
  `timestamp`
  Instant where the application was last put in service.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeployedApplication(String name, boolean hasDescriptor)`

- ## Method Summary

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### name

    public final String name
    Application context path. The assertion is that (host.getChild(name) != null).

  - ### hasDescriptor

    public final boolean hasDescriptor
    Does this application have a context.xml descriptor file on the host's configBase?

  - ### redeployResources

    public final LinkedHashMap<String,Long> redeployResources
    Any modification of the specified (static) resources will cause a redeployment of the application. If any of the specified resources is removed, the application will be undeployed. Typically, this will contain resources like the context.xml file, a compressed WAR path. The value is the last modification time.

  - ### reloadResources

    public final HashMap<String,Long> reloadResources
    Any modification of the specified (static) resources will cause a reload of the application. This will typically contain resources such as the web.xml of a webapp, but can be configured to contain additional descriptors. The value is the last modification time.

  - ### timestamp

    public long timestamp
    Instant where the application was last put in service.

  - ### loggedDirWarning

    public boolean loggedDirWarning
    In some circumstances, such as when unpackWARs is true, a directory may be added to the appBase that is ignored. This flag indicates that the user has been warned so that the warning is not logged on every run of the auto deployer.

- ## Constructor Details

  - ### DeployedApplication

    public DeployedApplication(String name, boolean hasDescriptor)